import java.io.*;
import java.beans.*;
import ORG.opengroup.axtp.tp.*;

public class Test implements Serializable
{
	private String tpBeanName="";
	private String clientBeanName="";

	private TP tp=null;
	private Client client=null;

	public void setTPBeanName(String v)
		throws ClassNotFoundException, IOException
	{
		if (!Beans.isDesignTime())
			throw new Error("not DesignTime");
		tpBeanName=v;
		tp=(TP)Beans.instantiate(null,tpBeanName);
	}

	public String getTPBeanName()
	{
		return tpBeanName;
	}

	public void setClientBeanName(String v)
		throws ClassNotFoundException, IOException
	{
		if (!Beans.isDesignTime())
			throw new Error("not DesignTime");
		clientBeanName=v;
		client=(Client)Beans.instantiate(null,clientBeanName);
	}

	public String getClientBeanName()
	{
		return clientBeanName;
	}

	public Test()
	{
		if (!Beans.isDesignTime())
			init();
	}

	private void writeObject(ObjectOutputStream s)
		throws IOException
	{
		s.defaultWriteObject();
	}

	private void readObject(ObjectInputStream s)
		throws ClassNotFoundException, IOException 
	{
		s.defaultReadObject();
		if (!Beans.isDesignTime())
			init();
	}

	private void init()
	{
		client.begin(tp);
	}
}
